OGRE: Ogre::GpuConstantDefinition Struct Reference - OGRE Documentation

# Ogre::GpuConstantDefinition Struct Reference

Information about predefined program constants. More...

`#include <OgreGpuProgram.h>`

List of all members.

## Public Member Functions
bool | isFloat () const
bool | isSampler () const
| GpuConstantDefinition ()
## Public Attributes
GpuConstantType | constType
| Data type.
size_t | physicalIndex
| Physical start index in buffer (either float or int buffer).
size_t | logicalIndex
| Logical index - used to communicate this constant to the rendersystem.
size_t | elementSize
| Number of raw buffer slots per element (some programs pack each array element to float4, some do not).
size_t | arraySize
| Length of array.

## Detailed Description

Information about predefined program constants.

Note:
  Only available for high-level programs but is referenced generically by GpuProgramParameters.

Definition at line 87 of file OgreGpuProgram.h.

## Constructor & Destructor Documentation

Ogre::GpuConstantDefinition::GpuConstantDefinition | ( |  | ) |

Definition at line 139 of file OgreGpuProgram.h.

## Member Function Documentation

bool Ogre::GpuConstantDefinition::isFloat | ( |  | ) | const

Definition at line 101 of file OgreGpuProgram.h.

References Ogre::GCT_INT1, Ogre::GCT_INT2, Ogre::GCT_INT3, Ogre::GCT_INT4, Ogre::GCT_SAMPLER1D, Ogre::GCT_SAMPLER1DSHADOW, Ogre::GCT_SAMPLER2D, Ogre::GCT_SAMPLER2DSHADOW, Ogre::GCT_SAMPLER3D, and Ogre::GCT_SAMPLERCUBE.

bool Ogre::GpuConstantDefinition::isSampler | ( |  | ) | const

Definition at line 122 of file OgreGpuProgram.h.

References Ogre::GCT_SAMPLER1D, Ogre::GCT_SAMPLER1DSHADOW, Ogre::GCT_SAMPLER2D, Ogre::GCT_SAMPLER2DSHADOW, Ogre::GCT_SAMPLER3D, and Ogre::GCT_SAMPLERCUBE.

## Member Data Documentation

GpuConstantType Ogre::GpuConstantDefinition::constType

Data type.

Definition at line 90 of file OgreGpuProgram.h.

size_t Ogre::GpuConstantDefinition::physicalIndex

Physical start index in buffer (either float or int buffer).

Definition at line 92 of file OgreGpuProgram.h.

size_t Ogre::GpuConstantDefinition::logicalIndex

Logical index - used to communicate this constant to the rendersystem.

Definition at line 94 of file OgreGpuProgram.h.

size_t Ogre::GpuConstantDefinition::elementSize

Number of raw buffer slots per element (some programs pack each array element to float4, some do not).

Definition at line 97 of file OgreGpuProgram.h.

size_t Ogre::GpuConstantDefinition::arraySize

Length of array.

Definition at line 99 of file OgreGpuProgram.h.

The documentation for this struct was generated from the following file:

- OgreGpuProgram.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:33:20 2009